Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce
Class StatusReporter

    java.lang.Object
      org.apache.hadoop.mapreduce.StatusReporter

Direct Known Subclasses:
  Task.TaskReporter

    public abstract class StatusReporter

extends Object

Constructor Summary
`StatusReporter()`

Method Summary
`abstract Counter` | `getCounter(Enum<?> name)`
`abstract Counter` | `getCounter(String group, String name)`
`abstract void` | `progress()`
`abstract void` | `setStatus(String status)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusReporter

    public StatusReporter()

Method Detail

### getCounter

    public abstract Counter getCounter(Enum<?> name)

### getCounter

    public abstract Counter getCounter(String group,
                                       String name)

### progress

    public abstract void progress()

### setStatus

    public abstract void setStatus(String status)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation